org.springframework.batch.core.configuration

## Interface StepRegistry

- All Known Implementing Classes:
    MapStepRegistry

      public interface StepRegistry

  Registry keeping track of all the `Step` defined in a `Job`.
  Author:
    Sebastien Gerard, Stephane Nicoll

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Step` | `getStep(java.lang.String jobName, java.lang.String stepName)` Returns the `Step` of the specified job based on its name.
    `void` | `register(java.lang.String jobName, java.util.Collection<Step> steps)` Registers all the step of the given job.
    `void` | `unregisterStepsFromJob(java.lang.String jobName)` Unregisters all the steps of the given job.

- - ### Method Detail

    - #### register

          void register(java.lang.String jobName,
                        java.util.Collection<Step> steps)
                 throws DuplicateJobException

      Registers all the step of the given job. If the job is already registered, the method `unregisterStepsFromJob(String)` is called before registering the given steps.
      Parameters:
        `jobName` - the give job name
        `steps` - the job steps
      Throws:
        `DuplicateJobException` - if a job with the same job name has already been registered.

    - #### unregisterStepsFromJob

          void unregisterStepsFromJob(java.lang.String jobName)

      Unregisters all the steps of the given job. If the job is not registered, nothing happens.
      Parameters:
        `jobName` - the given job name

    - #### getStep

          Step getStep(java.lang.String jobName,
                       java.lang.String stepName)
                throws NoSuchJobException,
                       NoSuchStepException

      Returns the `Step` of the specified job based on its name.
      Parameters:
        `jobName` - the name of the job
        `stepName` - the name of the step to retrieve
      Returns:
        the step with the given name belonging to the mentioned job
      Throws:
        `NoSuchJobException` - no such job with that name exists
        `NoSuchStepException` - no such step with that name for that job exists